Page MenuHomePhabricator

Show errors provided by wbparsevalue on add
Closed, ResolvedPublic

Description

When a user adds a value to a statement, a call to wbparsevalue is made and could return an error (the most prominent example is a URL with an erroneous or no scheme). Currently, this error is displayed in an alert. We should the error to the UI in a way that's consistent with other error messages on the front and back ends.

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterShow wbparsevalue errors in the WBMI UI

Event Timeline

AnneT created this task.Dec 4 2019, 8:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 4 2019, 8:20 PM
AnneT claimed this task.Dec 9 2019, 4:05 PM
AnneT moved this task from To Do to Doing on the Structured-Data-Backlog (Current Work) board.

Change 558218 had a related patch set uploaded (by Anne Tomasevich; owner: Anne Tomasevich):
[mediawiki/extensions/WikibaseMediaInfo@master] Show wbparsevalue errors in the WBMI UI

https://gerrit.wikimedia.org/r/558218

Change 558218 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Show wbparsevalue errors in the WBMI UI

https://gerrit.wikimedia.org/r/558218

Ramsey-WMF closed this task as Resolved.Jan 13 2020, 5:38 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Tested with URL statements with no "https://" prefix, error shows properly within the UI.